# st

Unnamed repository; edit this file 'description' to name the repository.

| Log | Files | Refs | README | LICENSE

    commit 017af76f5c89fa1acf9b54ceaad2101dcfd880a0
    parent 42505c5215c84db192287337922581ba43dec89d
    Author: Christoph Lohmann <20h@r-36.net>
    Date:   Wed,  5 Sep 2012 21:54:52 +0200

    Forcing the parameter limit to xcopy() and selpaste(). Thanks to Rob Pilling.

    Diffstat:
    Mst.c | 4++--

    1 file changed, 2 insertions(+), 2 deletions(-)
    diff --git a/st.c b/st.c
    @@ -291,7 +291,7 @@ static void ttywrite(const char *, size_t);
     static void xdraws(char *, Glyph, int, int, int, int);
     static void xhints(void);
     static void xclear(int, int, int, int);
    -static void xcopy();
    +static void xcopy(void);
     static void xdrawcursor(void);
     static void xinit(void);
     static void xloadcols(void);
    @@ -316,7 +316,7 @@ static void selrequest(XEvent *);
     static void selinit(void);
     static inline bool selected(int, int);
     static void selcopy(void);
    -static void selpaste();
    +static void selpaste(void);
     static void selscroll(int, int);

     static int utf8decode(char *, long *);